GETPAGESIZE(2)

NAME
getpagesize - get system page size

SYNOPSIS
#include <unistd.h>

size_t getpagesize(void);

DESCRIPTION
Return the number of bytes in a page. This is the system's page size, which is not necessarily the same as the hardware page size.

NOTES
getpagesize is implemented as a library function in DLL 4.4.1. Depending on what is defined when the library is compiled, this function returns EXEC_PAGESIZE (set to 4096 in Linux 0.99.11), NBPG (set to 4096 in Linux 0.99.11), or NBPC (not defined in Linux 0.99.11 or DLL 4.4.1 libraries).

SEE ALSO
sbrk(2)